#####################################################
#  Config made by Magik from forum.openmobile.pl    #
#  This is the GemRB Configuration file.            #
#  Here are defined some default parameters for     #
#  basic configuration and paths definition.        #
#                                                   #
#  Parameters are defined as a Name=Value pair      #
#  The Value can be of three types:                 #
#      - String                                     #
#      - Integer                                    #
#      - Boolean                                    #
#                                                   #
#  The String value is represented as follows       #
#  i.e. H:\GemRB\plugins                            #
#  Integers are defined as follows                  #
#  i.e. 12723                                       #
#  Booleans are represented as 1 or 0 in this file  #
#                                                   #
#  Lines starting with # are ignored                #
#                                                   #
#####################################################

#####################################################
#                                                   #
#  Game Type [String] Use one of the following      #
#  values:                                          #
#                                                   #
#  bg1       Baldur's Gate                          #
#  bg2       Baldur's Gate 2 : SoA or ToB           #
#  tob       Baldur's Gate 2 : ToB (obsolete)       #
#  iwd       IceWind Dale                           #
#  how       IceWind Dale : HoW or ToTL             #
#  iwd2      IceWind Dale 2                         #
#  pst       Planescape Torment                     #
#  (More will come)                                 #
#                                                   #
#####################################################

GameType=bg2

#####################################################
#  Game Name [String] Title for GemRB window, use   #
#  anything you wish, e.g. Baldur's Gate 3: RotFL   #
#####################################################

GameName=Baldur's Gate

#####################################################
#  Video Parameters                                 #
#####################################################

#Screen width
Width=640

#Screen height
Height=480

#Bits per pixel [Integer:16,32]
Bpp=16

#Fullscreen [Boolean]
Fullscreen=1

# Delay before tooltips appear [milliseconds]
TooltipDelay=1500

#####################################################
#  Audio Parameters                                 #
#####################################################
#                                                   #
# All volume options are in percents, with 100      #
# being the normal and default volume               #
#                                                   #
#####################################################

# Load NullSound driver only if OpenALAudio driver failed
DelayPlugin=libNullSound.so
DelayPlugin=libNullSound.dll

# Volume of ambient sounds
VolumeAmbients = 100

# Volume during movie playback
VolumeMovie = 100

# Volume of background music
VolumeMusic = 100

# Volume of sound effects
VolumeSFX = 100

# Volume of PC or NPC voices
VolumeVoices = 100

#####################################################
#  Case Sensitive Filesystem [Boolean]              #
#                                                   #
#  If your installed game files are residing on a   #
#  case sensitive filesystem (ext2 on Linux) then   #
#  you need to set this value to 1, it has no       #
#  effect on Windows                                #
#####################################################

CaseSensitive=1

#GameOnCD=0

#####################################################
#  Debug                                            #
#####################################################

# Do not play intro videos [Boolean], useful for development
#SkipIntroVideos=1

# Draw Frames per Second info [Boolean]
#DrawFPS=1

# Hide unexplored parts of a map
#FogOfWar=1

# Enable debug and cheat keystrokes, see docs/en/CheatKeys.txt
#   full listing
#EnableCheatKeys=1

#####################################################
#  Paths                                            #
#####################################################

#####################################################
#  Game Paths [String]                              #
#                                                   #
#  These are the paths where the Game you want to   #
#  play is installed.                               #
#  Enter the full path to the directory.             #
#####################################################

GamePath=/media/mmc1/Games/GemRB/bg2/
CD1=/media/mmc1/Games/GemRB/bg2/
CD2=/media/mmc1/Games/GemRB/bg2/CD2
CD3=/media/mmc1/Games/GemRB/bg2/CD3
CD4=/media/mmc1/Games/GemRB/bg2/CD4
CD5=/media/mmc1/Games/GemRB/bg2/CD5
CD6=/media/mmc1/Games/GemRB/bg2/cd6

#####################################################
#  GemRB Path [String]                              #
#                                                   #
#  This is the path where GemRB is stored, just     #
#  enter the full path to the GemRB executable      #
#####################################################

GemRBPath=/usr/share/gemrb/

#####################################################
#  GemRB Cache Path [String]                        #
#                                                   #
#  This is the path where GemRB will store the      #
#  cached files, enter the full path to the GemRB   #
#  Cache directory.                                 #
#####################################################

CachePath=/media/mmc1/Games/GemRB/bg2/Cache/

#####################################################
#  GemRB GUI Scripts Path [String]                  #
#                                                   #
#  This is the path where GemRB GUI scripts are     #
#  stored, usually these are in the GemRB directory #
#  Enter the full path to the directory containing  #
#  the 'GUIScript' subdirectory.                    #
#####################################################

GUIScriptsPath=/usr/share/gemrb/

#####################################################
#  GemRB Plugins Path [String]                      #
#                                                   #
#  This is the path containing GemRB plugins        #
#  - shared libraries (.so) on Unixes, or           #
#  DLLs (.dll) on windows.                          #
#  Enter the full path to the directory.            #
#                                                   #
#  You may need to specify this path if running     #
#  GemRB from source directory on Linux.            #
#####################################################

#PluginsPath=./plugins/

#####################################################
#  GemRB Save Path [String]                         #
#                                                   #
#  This is the path where GemRB looks for saved     #
#  games.                                           #
#  Enter the full path to the directory containing  #
#  e.g. the 'save' subdirectory.                    #
#                                                   #
#  You do not have to specify this if you use save  #
#  subdir in the GamePath directory.                #
#####################################################

#SavePath=/mnt/bg1

#####################################################
#  Game Data Path [String]                          #
#                                                   #
#  This is the subdirectory under GamePath where    #
#  game data files are stored.                      #
#                                                   #
#  You probably do NOT want to specify this!        #
#####################################################

#GameDataPath=data

#####################################################
#  Game Data Override Path [String]                 #
#                                                   #
#  This is the subdirectory under GamePath where    #
#  game data override files are stored.             #
#                                                   #
#  You probably do NOT want to specify this!        #
#####################################################

#GameOverridePath=override

#####################################################
#  GemRB Data Override Path [String]                #
#                                                   #
#  This is the path where GemRB looks for the GemRB #
#  data override directory.                         #
#                                                   #
#  You probably do NOT want to specify this!        #
#####################################################

#GemRBOverridePath=/usr/share/games/gemrb

#####################################################
#  GUI Parameters                                   #
#####################################################
#                                                   #
# GemRB may enhance the GUI of the Infinity Engine  #
# games (so far only in bg2) creating functionally  #
# new buttons or scrollbars where they weren't      #
# present in original games. It may improve its     #
# usability, but is not quite compatible with       #
# mods changing graphics and alignment in the *.chu #
# files (e.g. the buttons will appear in old        #
# coordinates and may stop being clickable).        #
#####################################################

# Enable all gui enhancements ? [Boolean]
GUIEnhancements = 1

#####################################################
# N900 specific config                              #
#						    #
# RightClickEmulatorButton: defines the key to      #
# emulate the right mouse button click.             #
#						    #
# ProximitySensorEnabled: enable/disable proximity  #
# sensor to emulate right mouse button click.       #
# 1=enabled, 0=disabled				    #
#####################################################
RightClickEmulatorButton=x
ProximitySensorEnabled=1

#####################################################
#  END                                              #
#####################################################
